Terp Network Docs
APIsRpcTx
GET
/broadcast_tx_commit

This method waits for the transaction to be checked (CheckTx) and makes a best effort to wait for it to be committed into a block before returning. It will report an error if the request times out before the transaction commits. If CheckTx or DeliverTx fails, the RPC will succeed and report the failing (non-zero) ABCI result code.

WARNING: Use this only for testing and development. For production use, call broadcast_tx.

To know when a transaction is included in a block, check for the transaction event using JSON-RPC. See https://docs.tendermint.com/master/app-dev/subscribing-to-events-via-websocket.html

See https://docs.tendermint.com/master/tendermint-core/using-tendermint.html#formatting for formatting/encoding rules.

Query Parameters

tx*string

The transaction

Response Body

application/json

application/json

curl -X GET "https://rpc.terp.network/broadcast_tx_commit?tx=785"
{
  "error": "",
  "result": {
    "height": "26682",
    "hash": "75CA0F856A4DA078FC4911580360E70CEFB2EBEE",
    "deliver_tx": {
      "log": "",
      "data": "",
      "code": "0"
    },
    "check_tx": {
      "log": "",
      "data": "",
      "code": "0"
    }
  },
  "id": 0,
  "jsonrpc": "2.0"
}
{
  "id": 0,
  "jsonrpc": "2.0",
  "error": "Description of failure"
}